diff --git a/website/scripts/deploy.sh b/website/scripts/deploy.sh
index 69b6f299b2a87dd6bc6f2f9d738db502f77de472..8223b8813941adf562366433674e84db966a658a 100644
--- a/website/scripts/deploy.sh
+++ b/website/scripts/deploy.sh
@@ -21,9 +21,20 @@ fi
 PASSWORD=$(cat PASSWORD)
 
 chmod -R 755 output || exit 1
-cd output || exit 1
+#cd output || exit 1
 
-lftp -e "open sftp://$HOST; user $USERNAME $PASSWORD; cd www; mirror -R --delete-first; exit"
+scripts/sync_content.ex $HOST $USERNAME $PASSWORD
+
+# (
+#   echo "
+#   ascii
+#   put -r output/ /www/
+#   close
+#   quit
+#     "
+# ) | sftp --password="$PASSWORD" "$USERNAME"@"$HOST"
+
+# lftp -e "open sftp://$HOST; user $USERNAME $PASSWORD; cd www; mirror -R --delete-first; exit"
 
 # lftp<<END_SCRIPT
 # open sftp://$HOST
diff --git a/website/scripts/sync_content.ex b/website/scripts/sync_content.ex
new file mode 100644
index 0000000000000000000000000000000000000000..4c185b1eae285bf4a03a9d170b6af7bdb4c5a98a
--- /dev/null
+++ b/website/scripts/sync_content.ex
@@ -0,0 +1,15 @@
+#!/usr/bin/expect
+
+set HOST [lindex $argv 0];
+set USERNAME [lindex $argv 1];
+set PASSWORD [lindex $argv 2];
+
+spawn sftp $USERNAME@$HOST
+expect "password:"
+send "$PASSWORD\n"
+expect "sftp>"
+send "put output/* www/\n"
+expect "sftp>"
+send "exit\n"
+
+close